<div class="getcardstep" xmlns:v-on="http://www.w3.org/1999/xhtml">
    <h3 class="steptitle row"
        :class="$root.rtl ? 'rtl' : ''"
        v-html="$parent.steps.step5.title[$root.lang]"
    ></h3>

    <div class="formstep row formstep-step formstep-step5">
        <div class="formstep-group"
             v-for="field in inputs"
             :class="$parent.inputs[field].valid"
             :style="(field === 'smsCode') ? 'display: flex; flex-wrap: wrap' : ''"
        >
            <!-- <div class="row formstep-row"
                 v-if="$parent.inputs[field].textHint || $parent.inputs[field].imgHint"
            >
                <div class="formstep-texthint"
                     v-if="$parent.inputs[field].textHint"
                     v-html="$parent.inputs[field].textHint"
                ></div>
                <div class="formstep-imagelink"
                     v-if="$parent.inputs[field].imgHint"
                     v-html="$parent.showimage[$root.lang]"
                ></div>
            </div> -->

            <div class="formstep-field"
                 :class="[$parent.inputs[field].name === 'smsCode' ? 'formstep-field_sms' : '', ($root.lang === 'fa'|| $root.lang === 'ar') && $parent.inputs[field].name === 'smsCode'? 'formstep-field_sms_ar': '']"
                 v-if="$parent.inputs[field].type==='text'"

            >
                <input class="formstep-input"
                       v-model.trim='$parent.inputs[field].value'
                       :id="$parent.inputs[field].name"
                       :disabled="$parent.inputs[field].disable || ($parent.inputs.smsCode.valid === 'valid' && $parent.inputs[field].name === 'smsCode')"
                       v-on:input="($parent.inputs[field].name === 'smsCode' ) ? watchSmsCode() : ''"
                       v-mask="( $parent.inputs[field].regexp) ? { regex: $parent.inputs[field].regexp, showMaskOnHover: false} : ''"
                       :class="(($parent.inputs[field].name === 'phone') || ($parent.inputs[field].name ==='email')) && (($root.rtl ? 'phone-ar' : '') || ($root.rtl ? 'email-ar' : ''))"
                />
                <label class="formstep-label"
                       v-if="$parent.inputs[field].label"
                       :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value !== '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>

            <div  class="formstep-step5-stephint"
                v-if="$parent.inputs[field].name === 'email'"
            >
                <img class="formstep-step5-stephint-image" :class="$root.rtl ? 'rtl' : ''" src="@assets/img/open.png" alt="">
                {{$parent.inputs[field].textHint[$parent.convertLangToForm()]}}
            </div>

            <p  class="formstep-step5-stephint"
                v-if="$parent.inputs[field].name === 'codeword'"
            >
                {{$parent.inputs[field].textHint[$parent.convertLangToForm()]}}
                
            </p>


            <div class = "button formstep-sms_button"
                 v-if="$parent.inputs[field].name === 'smsCode'"
                 v-on:click="sendSms()"
                 :disabled="disableSmsButton"
                 :class="(disableSmsButton || $parent.inputs.smsCode.valid === 'valid') ? 'disabled' : ''"
            >  
                {{$parent.sendSMSCode[$root.lang]}}
            </div>
            <p  class="formstep-step5-stephint visible-md"
                v-if="$parent.inputs[field].name === 'smsCode' && smsTimer < 60"
            >
                {{$parent.timer1[$root.lang]}}{{ smsTimer }}{{$parent.timer2[$root.lang]}}
            </p>

            <div class="form-title"
                 v-if="$parent.inputs[field].name === 'agencyId'"
            >
                 {{$parent.inputs[field].labels[$parent.convertLangToForm()]}}
            </div>

            <div class="formstep-field" v-if="$parent.inputs[field].type==='select'">
                <v-select :options="$parent.inputs[field].options"
                          :reduce="adminarea => adminarea.id"
                          label="nameRu"
                          :searchable=false
                          class="formstep-select"
                          :clearable="false"
                          v-model="$parent.inputs[field].value"
                ></v-select>
                <label class="formstep-label"
                       v-if="$parent.inputs[field].label"
                       :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value != '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>
            <div class="formstep-imagehint"
                 v-if="$parent.inputs[field].imgHint && !$parent.inputs[field].openImage"
            >
                <img :src="$parent.inputs[field].imgHint" alt="">
            </div>
        </div>

<!--        {{postData}}-->

    </div>
    <div class="row buttons">
        <div class="button transparency buttons-back"
             v-on:click="$parent.goToPrevStep('#getcard')"
        >
             {{$parent.prev[$root.lang]}}
        </div>
        <div v-if="$parent.steps.step5.valid"
             id="next5"
             class="button buttons-next button-submit"
             v-on:click="sendForm()"
        >
            {{$parent.sendApp[$root.lang]}}
        </div>
        <div v-else class="button buttons-next button-submit disabled">{{$parent.sendApp[$root.lang]}}</div>

    </div>
</div>
